Subject: Re: bug#24279: Bug in xterm and/or fontconfig

From: Alex Kost <[email-masked]>
Date: Mon, 29 Aug 2016 12:20:45 +0300

Ludovic Courtès (2016-08-28 17:45 +0300) wrote:

> Alex Kost <[email-masked]> skribis:
>
>> John Darrington (2016-08-21 16:18 +0300) wrote:
>
> [...]
>
>>> Now in the xterm, hold down Ctrl and press any mouse button.
>>> The xterm aborts with the following messages:
>>>  Warning: Unable to load any usable ISO8859 font
>>>  Error: Aborting: no font found
>
> Same here.
>
>> Pressing Ctrl with any mouse button displays menus for me without any
>> error.  Did you install any font in your profile?
>
> Xterm uses server-side font rendering, so this cannot be a Fontconfig
> issue.  Could it be related to 9eb5a449eed7297fdc2e6f3e77c2f625b07fddd1?

I don't see how it could be related.  That commit didn't remove
anything, it just added "share/fonts/truetype/fonts.{dir/scale}" files
to guix profiles.

[...]
> Strangely, “guix environment --ad-hoc xlsfonts -- xlsfonts” does work
> and lists many fonts.
>
> Thoughts?

Sorry, I have no idea, and I cannot reproduce this bug.

-- 
Alex